@import "../../vars";

$backgroundLight: #ffffff;
$backgroundGray: #fafafa;

.container {
  padding: 80px 40px;
  max-width: 1250px;
  width: 100%;
  margin: auto;

  &.bgLight {
    background-color: $backgroundLight;
  }

  &.bgDark {
    background-color: $backgroundGray;
  }

  @media (min-width: $viewportLarge) {
    padding: 80px;
    border-radius: 26px;
  }
}

.content {
  margin: auto;
  max-width: 1090px;
  display: grid;
  grid-template-rows: repeat(2, auto);
  grid-template-columns: none;
  grid-column-gap: 0;
  grid-row-gap: 40px;

  &.withoutMedia {
    grid-row-gap: 0;
  }

  @media (min-width: $viewportMedium) {
    grid-column-gap: 40px;
  }

  @media (min-width: $viewportLarge) {
    grid-template-columns: repeat(2, 1fr);
    grid-column-gap: 60px;
    grid-row-gap: 0;
  }
}

.content.textMobileBottom .info {
  grid-row: 2;
  grid-column: 1 / -1;
}

.content.textMobileBottom .media {
  grid-row: 1;
  grid-column: 1 / -1;
}

.content.textMobileTop .info {
  grid-row: 1;
  grid-column: 1 / -1;
}

.content.textMobileTop .media {
  grid-row: 2;
  grid-column: 1 / -1;
}

@media (min-width: $viewportLarge) {
  .content.textRight .media {
    grid-row: 1;
    grid-column: 1 / 2;
  }

  .content.textRight .info {
    grid-row: 1;
    grid-column: 2 / 3;
  }

  .content.textLeft .media {
    grid-row: 1;
    grid-column: 2 / 3;
  }

  .content.textLeft .info {
    grid-row: 1;
    grid-column: 1 / 2;
  }
}

.media {
  grid-row: 1;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 225px;
  overflow: auto;
}

.info {
  grid-row: 1;
  display: flex;
  flex-flow: column;
  align-items: flex-start;
  justify-content: center;
}

.subtitle {
  font-weight: 400;
  text-transform: uppercase;
  font-size: 16px;
  line-height: 24px;
  margin: 0 0 15px;
}

.title {
  font-size: 32px;
  line-height: 35px;
  margin: 0 0 20px;
  font-family: 'MarkProBold', Helvetica, Arial, sans-serif;

  @media (min-width: $viewportMedium) {
    font-size: 40px;
    line-height: 44px;
    margin: 0 0 31px;
  }
}

.text {
  color: $marketplaceTextColor;
  font-size: 16px;
  line-height: 24px;
  margin: 0 0 20px;
}

.imgGrid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 5px;

  @media (min-width: $viewportMedium) {
    grid-gap: 15px;
    margin-left: 0;
    margin-right: 0;
  }

  @media (min-width: $viewportLarge) {
    margin-bottom: 0;
  }
}

.imgWrapper {
  margin: auto;
  position: relative;
  z-index: 2;
  display: flex;
  justify-content: space-around;
  overflow: hidden;
}

.imgWrapper.wide {
  width: 100%;
}

@media (min-width: $viewportMedium) {
  .imgWrapper {
    width: 50%;
  }

  .imgGrid .imgWrapper {
    width: 100%;
  }
}

@media (min-width: $viewportLarge) {
  .imgWrapper {
    width: 100%;
  }
}

.imgTextOverlay {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}

.imgText {
  position: absolute;
  bottom: 20px;
  left: 10px;
  width: calc(100% - 16px);
  color: $matterColorLight;
  z-index: 2;
  transform: translateY(50px);
  transition: transform 0.3s ease-in-out;

  @media (min-width: $viewportMedium) {
    width: calc(100% - 20px);
    bottom: 20px;
    left: 20px;
  }
}

.imgWrapper:hover .imgText {
  transform: translateY(0);
}

.imgWrapper:hover .imgWithShadow {
  filter: brightness(50%);
}

.img {
  max-width: 100%;
  height: auto;
  object-fit: contain;
}

.imgWithShadow {
  filter: brightness(90%);
  transition: filter 0.3s ease-in-out;
}

.imgTitle {
  margin: 0;
  font-family: 'MarkProBold', Helvetica, Arial, sans-serif;
  font-size: 20px;
  line-height: 22px;

  @media (min-width: $viewportMedium) {
    margin: 0 0 10px;
    font-size: 24px;
    line-height: 23px;
  }
}

.imgSubtitle {
  margin: 0;
  font-size: 14px;
  line-height: 23px;

  @media (min-width: $viewportMedium) {
    font-size: 15px;
  }
}

.imgCtaLink {
  text-decoration: none;

  &:hover {
    text-decoration: none;
  }
}

.ghostLink {
  position: absolute;
  width: 100%;
  height: 100%;
  left: -9999px;
  display: none;
  top: 0;
  z-index: 20;

  &.visible {
    left: 0;
    display: block;
  }
}

.imgCtaButton {
  font-family: 'MarkProBold', Helvetica, Arial, sans-serif;
  font-size: 15px;
  background-color: $matterColorLight;
  color: #222222;
  text-align: left;
  padding: 5px 18px;
  min-width: 0;
  min-height: 0;
  margin: 8px 0 0;

  &:hover {
    background-color: $matterColorLight;
  }

  @media (min-width: $viewportMedium) {
    margin: 14px 0 0;
  }
}

.childWrapper {
  width: calc(100% + 40px);

  @media (min-width: $viewportMedium) {
    width: 75%;
    margin: auto;
  }

  @media (min-width: $viewportLarge) {
    width: 100%;
    height: 427px;
  }
}

.bullets {
  padding-left: 16px;
  margin-bottom: 20px;
}

.bulletsWithCheckmark {
  padding-left: 0;
  list-style-type: none;
}

.bulletsTitle {
  font-size: 16px;
  margin: 0 0 10px;
  font-family: 'MarkProBold', Helvetica, Arial, sans-serif;
  font-weight: 700;
}

.bulletsItem {
  font-size: 16px;
  margin-bottom: 10px;

  &:last-child {
    margin-bottom: 0;
  }

  &.regular {
    list-style-type: disc;
  }

  &.checkmark {
    position: relative;
    list-style-type: none;
  }
}

.checkmark {
  min-width: 12px;
  min-height: 12px;
  margin-right: 7px;
  transform: translateY(-1px);

  &.black {
    stroke: #222222;
  }

  &.green {
    stroke: $ribbonColor;
  }
}

.featuresList {
  margin-bottom: 20px;
  padding: 0;
  list-style-type: none;
}

.feature {
  margin: 0 0 20px;

  &:last-child {
    margin-bottom: 0;
  }
}

.featureTitle {
  font-family: 'MarkProBold', Helvetica, Arial, sans-serif;
  font-size: 16px;
  line-height: 24px;
  margin: 0;
}

.featureText {
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  margin: 0;
}
